Plank.PopupButton – plank Reference Manual

# PopupButton

## Description:

[ Flags ]
public enum PopupButton

What mouse button pops up the context menu on an item. Can be multiple buttons.

Namespace: Plank
Package: plank

## Content:

### Enum values:

- LEFT - Left button pops up the context.
- MIDDLE - Middle button pops up the context.
- NONE - No button pops up the context.
- RIGHT - Right button pops up the context.

### Static methods:

- public static PopupButton from_event_button (EventButton event)
  Convenience method to map Gdk.EventButton to this enum.